<?php
/**
* This extension encapsulates ZURB's flickrBomb library. 
* Author: sidewinder
* Version: 1.0
* Licence: Apache Licence 2.0 (licence.txt)
**/
class Bomb extends CWidget
{
    public $id = false;
    public $tags  = false;
    public $width  = 200;
    public $height  = 200;
    public $ratio = false;
    
    public function init()
    {
        $assetsPath = Yii::getPathOfAlias('application.extensions.EFlickrBomber.assets');
        $publishedUrl = CHtml::asset($assetsPath);
        Yii::app()->getClientScript()->registerPackage('jquery');
        Yii::app()->getClientScript()->registerCssFile($publishedUrl . '/flickrbomb.css');
        Yii::app()->getClientScript()->registerScriptFile($publishedUrl . '/jquery.flickrbomb.min.js',CClientScript::POS_END);
    }
    
    public function run()
    {
        $html = '<img ';
        if ($this->id)
            $html .= 'id="' . $this->id . '" ';
        if ($this->tags)
            $html .= 'src="flickr://' . $this->tags . '" ';
        if ($this->ratio)
            $html .= 'data-ratio="' . $this->ratio . '" ';
        if ($this->width)
            $html .= 'width="' . $this->width . 'px" ';
        if ($this->height)
            $html .= 'height="' . $this->height . 'px" ';
        $html .= '/>';
        echo $html;
    }
}